package mg.dot.feufaro.ui

import androidx.compose.runtime.Composable

interface FileSaveLauncher {
    fun launch(defaultName: String, initialDir: String?)
}

@Composable
expect fun rememberFileSaveLauncher(
    onResult: (String?) -> Unit
): FileSaveLauncher